GarageBand 1.4 update

* Requires iPhone 4S, iPod touch (5th generation), iPad 2 or later. Audiobus requires a separate purchase.

The new update to GarageBand has been rolled out and is available to all iPhone owners. Why is there an option to update this app on my iPhone 4 (i know it's old, but it's a beast and i still love it), if it is not supported on this version of the phone? Am i correct in assuming that if i press "Update" i will be downloading an app that will no longer be functional on my iPhone? Why is this even an option? A lot of old phone owners are going to be feeling frustrated if they blindly hit "Update All". There should be a way to simply not push the update request to older phone owners, right?